* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  overflow-x: hidden;
  font-family: body-font;
}

body::first-letter {
  text-transform: capitalize;
}
.pd {
  padding: 0px 126px;
}
h1,
h2,
h3,
h4,
h5,
h6,
p {
  margin-bottom: 0px;
}
:root {
  --primary-color: #a27b5c;
}

a {
  text-decoration: none !important;
  color: #e8e8e8;
  font-family: body-font;
  font-size: 16px;
}
.heading_main {
  color: #000;
  text-align: center;
  position: relative;
  font-size: 44px;
  margin-bottom: 50px;
  font-family: "../fonts/jaq/JacquesFrancois-Regular.ttf";
}
p {
  color: #7a7a7a;
  font-size: 17px;
  text-align: center;
}
.pt {
  padding-top: 50px;
  padding-bottom: 50px;
}
.subheading {
  margin-bottom: 10px;
  font-size: 25px;
  color: #000;
  font-family: "../fonts/roboto/Roboto-Regular.ttf";
}
.book_now {
  background-color: #f7abab;
  color: white;
  border: none;
  padding: 10px 20px;
  font-size: 16px;
  margin-top: 10px;
  cursor: pointer;
  position: relative;
  border-radius: 5px;
  transition: all 0.3s ease-in-out;
}

.book_now:hover {
  transform: scale(1.1);
}

.header {
  position: fixed;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 20px;
  background-color: #fff;
  z-index: 1000;
  transition: background-color 0.3s ease;
}

.header.scrolled {
  background-color: #fff;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

.header .logo img {
  width: 100px;
  margin: 0px 50px;
}

.header .nav-link {
  display: flex;
  gap: 30px;
}

.header .nav-link {
  text-decoration: none;
  color: #000;
  font-size: 1.2rem;
  transition: color 0.3s ease;
}
.header.scrolled {
  background-color: #fff;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}
.header.scrolled .nav-link {
  color: #f0f0f0;
}

.header .nav-links a:hover {
  color: #ddd;
}
.menu-toggle {
  display: none;
  font-size: 24px;
  cursor: pointer;
  padding: 10px;
}

/* Spacer to prevent content overlap */
.content {
  padding-top: 90px;
}

.content section {
  display: flex;
  align-items: center;
  justify-content: center;
}

section:nth-child(even) {
  background-color: #f1f0ee;
}

/*  slider css */
.carousel-caption {
}

/* Slider container */
.slider {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 70vh;
}

/* Slides container */
.slides {
  display: flex;
  width: 100%; /* Total slides * 100% */
  height: 100%;
  animation: slideAnimation 12s infinite;
}

/* Individual slide */
.slide {
  flex: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

/* Slide images */
.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* Ensures images cover the full area */
}
.slide .carousel-caption {
  position: absolute;
  top: 40%;
  background-color: rgb(0 0 0 / 37%);
  padding: 20px;
  border-radius: 10px;
  color: white; /* ensure text color contrasts well */
  max-width: max-content;
  margin: auto;
  bottom: unset;
}
.slide .carousel-caption h1 {
  font-family: "../fonts/jaq/JacquesFrancois-Regular.ttf";
  font-weight: bold;
  font-size: 50px;
  font-style: italic;
}

/* Animation for sliding */
@keyframes slideAnimation {
  0% {
    transform: translateX(0%);
  }
  33% {
    transform: translateX(-100%);
  }
  66% {
    transform: translateX(-200%);
  }
  100% {
    transform: translateX(0%);
  }
}

/* wlc section */
.wlc_section {
  position: relative;
}
.wlc_section .circle_img img {
  width: 300px;
}
.wlc_section .circle_img {
  position: relative;
  top: 50px;
  left: 35px;
}
.wlc_section::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: url(../images/floral.png);
  background-repeat: no-repeat;
}
.right_img {
  height: 453px !important;
  width: 100%;
  object-fit: cover;
}

/*  why us */
.icon-circle {
  width: 60px;
  height: 60px;
  background-color: #f8b6c2;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-right: 15px;
  padding: 15px;
}

.icon-circle img {
  width: 35px;
  height: 35px;
}
.why_us_text_wrap {
  text-align: left;
}
.why_us_text_wrap .feature-text {
  font-size: 17px;
  color: #7a7a7a;
  /* font-family: "../fonts/roboto/Roboto-Regular.ttf"; */
  margin: 0;
}
/* banner section */
.banner {
  position: relative;
  background: url("../images/contact_banner.png") center/cover no-repeat;
  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
}

.banner_content {
  position: relative;
  z-index: 1;
}

/* conatct section */
.contact_section {
  background: url("../images/contact_banner2.png") no-repeat center/cover;
  padding: 80px 0;
  position: relative;
}

.contact_content {
  position: relative;
  z-index: 1;
  max-width: 800px;
  /* text-align: center; */
}
.contact_content h2 {
  font-size: 32px;
  margin-bottom: 20px;
}
.form-label {
  font-family: "../fonts/jaq/JacquesFrancois-Regular.ttf";
  font-size: 18px;
}
.form-control {
  border: none !important;
  border-bottom: 1px solid #f8b6c0 !important;
  border-radius: 0 !important;
  background: transparent !important;
  box-shadow: none;
}
.form-control:focus {
  border-color: #f8b6c0;
  box-shadow: none !important;
}
/* event palnner */

.wedding_plan {
  position: relative;

  height: 900px;
}
.wedding_plan .number {
  font-size: 40px;
  font-weight: bold;
  color: #e57373;
  font-family: "../fonts/jaq/JacquesFrancois-Regular.ttf";
}
.wedding_plan .bottom {
  margin-top: 50px;
}
.wedding_plan .description {
  max-width: 90%;
}

.wedding_plan .img-fluid {
  max-width: 90% !important;
  margin-top: 10px;
}

/* gallery */
.img-custom {
  object-fit: cover;
  /* margin-bottom: 25px; */
  transition: transform 0.3s ease-in-out; /* Smooth zoom effect */
}
.img-container {
  position: relative;
  display: inline-block;
  overflow: hidden;
  margin-bottom: 20px;
}

.img-container img {
  display: block;
  width: 100%;

  height: auto;
  transition: transform 0.3s ease-in-out;
}

.img-container::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  /* background: rgba(0, 0, 0, 0.5); Dark overlay */
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.img-container:hover::after {
  opacity: 1; /* Show overlay on hover */
}

.img-container:hover img {
  transform: scale(1.05); /* Slight zoom effect */
}

.imgresize {
  height: 225px !important;
  width: 1000px !important;
}
/* footer */
.footer {
  background-color: #fff;
  padding-top: 40px;
}

.footer-logo {
  width: 135px;
}

.footer p {
  font-family: "../fonts/roboto/Roboto-Regular.ttf";
  font-size: 16px;
  color: #000;
}

.social-icons a {
  margin: 10px 20px;
  font-size: 24px;
  color: #333;
  border: 1px solid #000;
  background-color: transparent;
  text-decoration: none;
  padding: 17px 20px;
  display: inline-block;
  transform: rotate(45deg);
}
.social-icons a i {
  transform: rotate(
    -45deg
  ); /* Rotates the icon back to its original position */
  display: block;
}

.social-icons a:hover {
  color: #e57373;
}

.copyright {
  border-top: 1px solid #f8a7a7;
  padding: 10px 0;
  color: #f48b8b;
}

@media screen and (max-width: 992px) {
  .header .navbar {
    width: 100%;
  }
  .header .logo img {
    margin: 0px;
  }
  .header .navbar .navbar-collapse {
    border: 1px solid black;
    padding: 10px;
    margin-top: 20px;
  }
  .wlc_section .text_content {
    margin-top: 120px;
  }
  .wlc_section .circle_img {
    left: 0px;
  }
  .wlc_section::before {
    width: 62%;
    height: 64%;
    object-fit: fill;

    top: 0;
    left: 0;
  }
  .aboutUS img {
    height: 453px !important;
    width: 100%;
    object-fit: cover;
  }
  .pd {
    padding: 0px;
  }
  .wedding_plan {
    height: auto;
    padding: 80px 0px;
  }
  .wedding_plan .bottom {
    margin-top: 0px;
  }
  .wedding_plan .img-fluid {
    max-width: 100% !important;
  }
}
@media screen and (max-width: 768px) {
  .carousel-control-prev-icon,
  .carousel-control-next-icon,
  .carousel-indicators {
    display: none !important;
  }
  .header {
    justify-content: space-between;
    padding: 10px;
  }

  .menu-toggle {
    display: block;
  }

  .nav-links {
    display: none;
    flex-direction: column;
    background: #fff;
    position: absolute;
    top: 60px;
    left: 0;
    width: 100%;
    text-align: center;
    padding: 10px 0;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  }

  .nav-links a {
    display: block;
    padding: 10px;
  }

  /* Show Menu When Active */
  .nav-links.active {
    display: flex;
  }
  .aboutUS .text_content {
    padding: 50px 0px;
    max-width: 80%;
    margin: auto;
  }
  .img-container img {
    width: 1000px;
  }
  .social-icons {
    margin-bottom: 50px;
  }
}

@media screen and (max-width: 768px) {
  .heading_main {
    font-size: 35px;
  }
  p,
  .why_us_text_wrap .feature-text {
    font-size: 15px;
  }
  .subheading {
    font-size: 23px;
  }
  .wlc_section::before {
    opacity: 0.5;
    width: 100%;
  }
}
